﻿@using Microsoft.AspNetCore.Mvc.Localization
@using Microsoft.AspNetCore.Builder
@using Microsoft.AspNetCore.Localization
@using Microsoft.Extensions.Options
@using GlobalizationLocalization.Controllers

@inject IOptions<RequestLocalizationOptions> _localizationOptions
@inject IViewLocalizer _localizer

@{
    var culture = Context.Features.Get<IRequestCultureFeature>();
    var cultureOptions = _localizationOptions.Value.SupportedCultures.Select(
        x => new SelectListItem
        {
            Value = x.Name,
            Text = _localizer.GetString(x.Name)
        });

    var returnUrl = string.IsNullOrWhiteSpace(Context.Request.Path) ? "~/" 
        : $"{Context.Request.Path.Value}{Context.Request.QueryString}";
}


<div>
    <form asp-action="@nameof(HomeController.CultureManagement)" asp-controller="Home" asp-route-returnUrl="@returnUrl">
        <select name="cultureName" asp-for="@culture.RequestCulture.UICulture.Name" asp-items="cultureOptions"
                onchange="this.form.submit();">
        </select>
    </form>
</div>